# TdApi.DeleteAccount (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: DeleteAccount

Package it.tdlight.jni

# Class TdApi.DeleteAccount

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.DeleteAccount

Enclosing class:
  TdApi

    public static class TdApi.DeleteAccount
    extends TdApi.Function

Deletes the account of the current user, deleting all information associated with the user from the server. The phone number of the account can be used to create a new account. Can be called before authorization when the current authorization state is authorizationStateWaitPassword.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `reason` | The reason why the account was deleted; optional.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DeleteAccount()` | Deletes the account of the current user, deleting all information associated with the user from the server.
`DeleteAccount​(DataInput input)` |
`DeleteAccount​(String reason)` | Deletes the account of the current user, deleting all information associated with the user from the server.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### reason

public String reason
The reason why the account was deleted; optional.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### DeleteAccount

public DeleteAccount()
Deletes the account of the current user, deleting all information associated with the user from the server. The phone number of the account can be used to create a new account. Can be called before authorization when the current authorization state is authorizationStateWaitPassword.

Returns `Ok`

### DeleteAccount

public DeleteAccount​(String reason)
Deletes the account of the current user, deleting all information associated with the user from the server. The phone number of the account can be used to create a new account. Can be called before authorization when the current authorization state is authorizationStateWaitPassword.

Returns `Ok`

Parameters:
  `reason` - String The reason why the account was deleted; optional.

### DeleteAccount

public DeleteAccount​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`